/**
 *  Learnville Street Room
 *  @author Drakkos
 *  @started 08/10/2008
 *
 *  If you change this file, please also update it in LPC for Dummies.
 *
 */

#include "path.h"

inherit "/std/room/outside";

void setup() {
  set_short ("southeast corner of the marketplace");
  add_property ("determinate", "the ");
   
  set_long ("This is a skeleton room.\n");

  set_light (100);

  add_zone ("learnville");
  
  add_exit ("north", ROOMS + "market_northeast", "path");
  add_exit ("west", ROOMS + "market_southwest", "path");
  add_exit ("northwest", ROOMS + "market_northwest", "path");

  modify_exit ("northwest", ({"obvious", 0}));

  set_linker ( ({ 
    ROOMS + "market_northwest",
    ROOMS + "market_northeast",
    ROOMS + "market_southwest",
  }) );

}

void reset() {
    ::reset();

    call_out ("after_reset", 3);
}  

void after_reset() {
   object pete;
   
   pete = load_object (CHARS + "pete");

   if (pete && environment (pete) != this_object()) {
        pete->move (this_object(), "$N appear$s in a flash of light.", 
            "$N scream$s and disappear$s.");
    }
} 